FFe: armel-cross-toolchain{,-base}, gcc-defaults-armel-cross

Reported by Steve Langasek on 2010-09-09
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Linaro
Undecided
Unassigned
Ubuntu
Undecided
Unassigned

Bug Description

This is a request for freeze exception for including a set of new packages in maverick: armel-cross-toolchain-base, armel-cross-toolchain, and gcc-defaults-armel-cross. These packages build-depend on the eglibc, GCC, and binutils source and provide a set of Ubuntu-style packages containing cross-compilers for the armel architecture.

These packages are currently staged in a ppa at https://launchpad.net/~hrw/+archive/arm-cross-compiler/, and a git repository is available at <git://github.com/hrw/linaro-armel-cross-toolchain.git>. These packages are widely useful to anyone doing development work targeting ARM systems, few of which have resources today for native builds.

As entirely new packages, the risks from late inclusion to the archive are minimal; nevertheless it was our intention to get these in before feature freeze, but delivery has slipped because of a dependency on the various fixes needed in the base toolchain packages to support this, so a FFe is now needed. If the FFe is not granted, the packages will continue to be distributed via PPA.

Jamie Bennett (jamiebennett) wrote :

Looking at the changes involved and the fact that the packages are separate and do not adversely effect the archive, I'm happy to grant FFe approval.

Steve Langasek (vorlon) wrote :

ok - marking approved for linaro, opening a task on Ubuntu for the next step :)

Changed in linaro:
status: New → Confirmed
StefanPotyra (sistpoty) wrote :

ACK.

Changed in ubuntu:
status: New → Confirmed
Marcin Juszkiewicz (hrw) wrote :

I pushed armel-cross-toolchain-base 1.46 and armel-cross-toolchain 1.34 into git repository.

Updated source packages will land in my PPA after gcc-4.5 upload (which will be during weekend according to Matthias Klose).

Jamie Strandboge (jdstrand) wrote :

Running: "accept armel-cross-toolchain-base"
Accepting ubuntu/None (NEW) 1/2
---------------------------------------------------------------------------
Accepting armel-cross-toolchain-base
---------------------------------------------------------------------------

In the future, please reference the bug that references the FFe in the debian/changelog as 'LP: #...".

Changed in ubuntu:
status: Confirmed → Fix Released
Steve Langasek (vorlon) wrote :

Bug wasn't referenced because I knew launchpad wouldn't auto-close the bug for new packages, sorry.

Also, bug isn't fixed because there are two more source packages to go; reopening.

Changed in ubuntu:
status: Fix Released → Confirmed
Steve Langasek (vorlon) wrote :

Packages are uploaded. Thanks, everyone!

Changed in linaro:
status: Confirmed → Fix Released
Steve Langasek (vorlon) on 2010-09-15
Changed in ubuntu:
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers